/*
 * Copyright (C) 2009-2011 Institute for Computational Biomedicine,
 *                    Weill Medical College of Cornell University
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.campagnelab.goby.alignments.processors;

import org.campagnelab.goby.alignments.ConcatSortedAlignmentReader;

/**
 * A factory to create alignment processors.
 * @author Fabien Campagne
 *         Date: 5/31/11
 *         Time: 1:16 PM
 */
public interface AlignmentProcessorFactory {
    /**
     * Create an alignment processor with input from sortedReaders.
     * @param sortedReaders Input to the processor
     * @return A configured processor.
     */
    public AlignmentProcessorInterface create(ConcatSortedAlignmentReader sortedReaders);
}
